Index: trunk/source/visualization/FukuiRenderer/include/CVS/Entries
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/CVS/Entries	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/CVS/Entries	(revision 1347)
@@ -1,1 +1,12 @@
+/G4DAWNFILE.hh/1.9/Thu Jun 29 21:16:28 2006//Tgeant4-09-04-ref-00
+/G4DAWNFILESceneHandler.hh/1.18/Sun May 30 10:18:32 2010//Tgeant4-09-04-ref-00
+/G4DAWNFILEViewer.hh/1.10/Thu Jun 29 21:16:32 2006//Tgeant4-09-04-ref-00
+/G4FRClientServer.hh/1.7/Thu Jun 29 21:16:34 2006//Tgeant4-09-04-ref-00
+/G4FRConst.hh/1.7/Thu Jun 29 21:16:36 2006//Tgeant4-09-04-ref-00
+/G4FRFeatures.hh/1.6/Thu Jun 29 21:16:38 2006//Tgeant4-09-04-ref-00
+/G4FRSceneFunc.icc/1.16/Thu Nov 11 01:13:42 2010//Tgeant4-09-04-ref-00
+/G4FRofstream.hh/1.9/Thu Jun 29 21:16:42 2006//Tgeant4-09-04-ref-00
+/G4FukuiRenderer.hh/1.8/Thu Jun 29 21:16:44 2006//Tgeant4-09-04-ref-00
+/G4FukuiRendererSceneHandler.hh/1.17/Sun May 30 10:18:32 2010//Tgeant4-09-04-ref-00
+/G4FukuiRendererViewer.hh/1.8/Thu Jun 29 21:16:48 2006//Tgeant4-09-04-ref-00
 D
Index: trunk/source/visualization/FukuiRenderer/include/G4DAWNFILE.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4DAWNFILE.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4DAWNFILE.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DAWNFILE.hh,v 1.9 2006/06/29 21:16:28 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA
Index: trunk/source/visualization/FukuiRenderer/include/G4DAWNFILESceneHandler.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4DAWNFILESceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4DAWNFILESceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DAWNFILESceneHandler.hh,v 1.18 2010/05/30 10:18:32 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA
Index: trunk/source/visualization/FukuiRenderer/include/G4DAWNFILEViewer.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4DAWNFILEViewer.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4DAWNFILEViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4DAWNFILEViewer.hh,v 1.10 2006/06/29 21:16:32 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA
Index: trunk/source/visualization/FukuiRenderer/include/G4FRClientServer.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FRClientServer.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FRClientServer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRClientServer.hh,v 1.7 2006/06/29 21:16:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA, Wed Jul  3 14:13:52 JST 1996
Index: trunk/source/visualization/FukuiRenderer/include/G4FRConst.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FRConst.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FRConst.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRConst.hh,v 1.7 2006/06/29 21:16:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // Satoshi TANAKA, Tue Jul  2 15:30:49 JST 1996
Index: trunk/source/visualization/FukuiRenderer/include/G4FRFeatures.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FRFeatures.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FRFeatures.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRFeatures.hh,v 1.6 2006/06/29 21:16:38 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 #if !defined G4_FR_FEATURES_HH
Index: trunk/source/visualization/FukuiRenderer/include/G4FRSceneFunc.icc
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FRSceneFunc.icc	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FRSceneFunc.icc	(revision 1347)
@@ -25,8 +25,9 @@
 //
 //
-// $Id: G4FRSceneFunc.icc,v 1.15 2006/07/10 15:31:45 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// $Id: G4FRSceneFunc.icc,v 1.16 2010/11/11 01:13:42 akimura Exp $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 
+#include "G4VisManager.hh"
 #include "G4PhysicalVolumeModel.hh"
 #include "G4LogicalVolume.hh"
@@ -38,5 +39,6 @@
 {
 #if defined DEBUG_FR_SCENE
-      G4cerr << "***** AddPrimitive\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+      G4cout << "***** AddPrimitive\n";
 #endif 
 		//----- Initialize Fukui Renderer IF NECESSARY
@@ -84,5 +86,6 @@
 		//----- 
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddPrimitive( G4NURBS )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive( G4NURBS )\n";
 #endif
 
@@ -102,5 +105,6 @@
 		//----- 
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddPrimitive( G4Text )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive( G4Text )\n";
 #endif
 		//----- Initialize DAWN IF NECESSARY
@@ -135,7 +139,9 @@
 	int   MAX_STR_LENGTH   =  COMMAND_BUF_SIZE - 100 ;
 	if  ( MAX_STR_LENGTH <= 0 ) { 
-		G4cerr << "ERROR (FukuiRenderer) : Not enough buffer size for data transferring." << G4endl;
-		G4cerr << "                        G4Text Visualization is aborted" << G4endl;
-		return ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "ERROR (FukuiRenderer) : Not enough buffer size for data transferring." << G4endl;
+		G4cout << "                        G4Text Visualization is aborted" << G4endl;
+	  }
+	  return ;
 	}
 	char*  buf  = new char [ (MAX_STR_LENGTH + 1) ] ; 
@@ -175,5 +181,6 @@
 		//----- 
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddPrimitive( G4Circle )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive( G4Circle )\n";
 #endif
 		//----- Initialize Fukui Renderer IF NECESSARY
@@ -218,5 +225,6 @@
 		//----- 
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddPrimitive( G4Square )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive( G4Square )\n";
 #endif
 		//----- Initialize Fukui Renderer IF NECESSARY
@@ -261,5 +269,6 @@
 		//----- 
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddPrimitive( G4Polyhedron )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddPrimitive( G4Polyhedron )\n";
 #endif
 
@@ -310,14 +319,18 @@
 			break;
 		default:
-			G4cerr <<
-	"ERROR G4FRSCENEHANDLER::AddPrimitive(G4Polyhedron)\n";
-      G4PhysicalVolumeModel* pPVModel =
-        dynamic_cast<G4PhysicalVolumeModel*>(fpModel);
-      if (pPVModel) G4cerr <<
-	"Volume " << pPVModel->GetCurrentPV()->GetName() <<
-	", Solid " << pPVModel->GetCurrentLV()->GetSolid()->GetName() <<
-	" (" << pPVModel->GetCurrentLV()->GetSolid()->GetEntityType();
-                        G4cerr <<
-	"\nG4Polyhedron facet with " << i << " edges" << G4endl;	
+		  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+			G4cout <<
+			  "ERROR G4FRSCENEHANDLER::AddPrimitive(G4Polyhedron)\n";
+		  G4PhysicalVolumeModel* pPVModel =
+		    dynamic_cast<G4PhysicalVolumeModel*>(fpModel);
+		  if (pPVModel)
+		    if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		      G4cout <<
+			"Volume " << pPVModel->GetCurrentPV()->GetName() <<
+			", Solid " << pPVModel->GetCurrentLV()->GetSolid()->GetName() <<
+			" (" << pPVModel->GetCurrentLV()->GetSolid()->GetEntityType();
+		      G4cout <<
+			"\nG4Polyhedron facet with " << i << " edges" << G4endl;
+		    }
 		}
 	}
@@ -334,5 +347,5 @@
 //////////////////////////////////////////////////
 //#if defined DEBUG_FR_SCENE
-//	G4cerr << "***** SendNdiv() (/Ndiv)" << G4endl;
+//	G4cout << "***** SendNdiv() (/Ndiv)" << G4endl;
 //#endif
 //////////////////////////////////////////////////
@@ -348,7 +361,9 @@
 	// } else {
 #if defined DEBUG_FR_SCENE
-	   G4cerr << "WARNING: GetNoOfSides() failed. " ;
-	   G4cerr << "The default value " << num_division ;
-	   G4cerr << " is assigned." << G4endl;
+	   if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+	     G4cout << "WARNING: GetNoOfSides() failed. " ;
+	     G4cout << "The default value " << num_division ;
+	     G4cout << " is assigned." << G4endl;
+	   }
 #endif
 	//}
@@ -359,5 +374,5 @@
 //////////////////////////////////////////////////
 //#if defined DEBUG_FR_SCENE
-//	G4cerr << "Ndiv = " << num_division << G4endl;
+//	G4cout << "Ndiv = " << num_division << G4endl;
 //#endif
 //////////////////////////////////////////////////
@@ -374,11 +389,14 @@
 		//----- 		
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** FREndModeling (called)" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** FREndModeling (called)" << G4endl;
 #endif
 	if( FRIsInModeling() ) {
 
 #if defined DEBUG_FR_SCENE
-		G4cerr << "***** FREndModeling (started) " ; 
-		G4cerr << "(/EndModeling, /DrawAll, /CloseDevice)" << G4endl;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "***** FREndModeling (started) " ; 
+		G4cout << "(/EndModeling, /DrawAll, /CloseDevice)" << G4endl;
+	  }
 #endif
 
@@ -407,5 +425,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** BeginPrimitives \n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** BeginPrimitives \n";
 #endif
 
@@ -422,5 +441,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** EndPrimitives \n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** EndPrimitives \n";
 #endif
   G4VSceneHandler::EndPrimitives ();
@@ -434,5 +454,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( box )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( box )\n";
 #endif
 		//----- skip drawing invisible primitive
@@ -473,5 +494,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( tubes )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( tubes )\n";
 #endif
 		//----- skip drawing invisible primitive
@@ -515,5 +537,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( cons )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( cons )\n";
 #endif
 		//----- skip drawing invisible primitive
@@ -557,5 +580,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( trd )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( trd )\n";
 #endif
 
@@ -598,5 +622,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( sphere )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( sphere )\n";
 #endif
 		//----- skip drawing invisible primitive
@@ -658,5 +683,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( para )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( para )\n";
 #endif
 
@@ -685,8 +711,10 @@
 	G4double cosTheta                  = para.GetSymAxis().z() ;
 	if( cosTheta < epsilon ) {
-		G4cerr << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
-		G4cerr << "  Invalid parameter for parallelepiped."   << G4endl;
-		G4cerr << "  Drawing is skipped."                     << G4endl;
-		return ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
+		G4cout << "  Invalid parameter for parallelepiped."   << G4endl;
+		G4cout << "  Drawing is skipped."                     << G4endl;
+	  }
+	  return ;
 	}
 	G4double tanTheta_cosPhi_cosTheta  = para.GetSymAxis().x() ;
@@ -714,5 +742,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( trap )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( trap )\n";
 #endif
 
@@ -741,8 +770,10 @@
 	G4double cosTheta                  = trap.GetSymAxis().z() ;
 	if( cosTheta < epsilon ) {
-		G4cerr << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
-		G4cerr << "  Invalid parameter for trap, 1" << G4endl;
-		G4cerr << "  Drawing is skipped."           << G4endl;
-		return ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors) {
+		G4cout << "WARNING from FukuiRenderer (DAWN) driver:" << G4endl;
+		G4cout << "  Invalid parameter for trap, 1" << G4endl;
+		G4cout << "  Drawing is skipped."           << G4endl;
+	  }
+	  return ;
 	}
 
@@ -805,5 +836,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** AddSolid ( torus )\n";
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** AddSolid ( torus )\n";
 #endif
 		//----- skip drawing invisible primitive
@@ -929,5 +961,6 @@
 {
 #if defined DEBUG_FR_SCENE
-	G4cerr << "***** SendBoundingBox ()  (/BoundingBox)" << G4endl;
+  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+	G4cout << "***** SendBoundingBox ()  (/BoundingBox)" << G4endl;
 #endif
 
@@ -1048,5 +1081,6 @@
 	num_char  = sprintf( command, "%s  %d", char_string , ival ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
 	}
 	SendStr( command );
@@ -1070,5 +1104,6 @@
 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrInt3(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrInt3(), 1\n" ;
 	}
 	SendStr( command );
@@ -1094,5 +1129,6 @@
 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrInt4(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrInt4(), 1\n" ;
 	}
 	SendStr( command );
@@ -1113,5 +1149,6 @@
 					fPrec2, fPrec, dval ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble(), 1\n" ;
 	}
 	SendStr( command );
@@ -1135,5 +1172,6 @@
 					fPrec2, fPrec, dval2         ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble2(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble2(), 1\n" ;
 	}
 	SendStr( command );
@@ -1160,5 +1198,6 @@
 				fPrec2, fPrec, dval3   ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble3(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble3(), 1\n" ;
 	}
 	SendStr( command );
@@ -1187,5 +1226,6 @@
 					fPrec2, fPrec, dval4) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble4(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble4(), 1\n" ;
 	}
 	SendStr( command );
@@ -1216,5 +1256,6 @@
 					fPrec2, fPrec, dval5    ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble5(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble5(), 1\n" ;
 	}
 	SendStr( command );
@@ -1247,5 +1288,6 @@
 					fPrec2, fPrec, dval6    ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble6(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble6(), 1\n" ;
 	}
 	SendStr( command );
@@ -1280,5 +1322,6 @@
 				fPrec2, fPrec, dval7  ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble7(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble7(), 1\n" ;
 	}
 	SendStr( command );
@@ -1321,5 +1364,6 @@
 				fPrec2, fPrec, dval11 ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble11(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble11(), 1\n" ;
 	}
 	SendStr( command );
@@ -1346,5 +1390,6 @@
 					fPrec2, fPrec, dval3    ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendIntDouble3(),1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendIntDouble3(),1\n" ;
 	}
 	SendStr( command );
@@ -1366,5 +1411,6 @@
                                        ival1, ival2, ival3, char_string ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendInt3Str(),1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendInt3Str(),1\n" ;
 	}
 	SendStr( command );
@@ -1387,5 +1433,6 @@
                                        ival1, ival2, ival3, ival4, char_string ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendInt4Str(),1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendInt4Str(),1\n" ;
 	}
 	SendStr( command );
@@ -1418,5 +1465,6 @@
 				char_string2              );
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrDouble6Str(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrDouble6Str(), 1\n" ;
 	}
 	SendStr( command );
@@ -1435,5 +1483,6 @@
 	num_char  = sprintf( command, "%d", val ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
 	}
 	SendStr( command );
@@ -1451,5 +1500,6 @@
 	num_char  = sprintf( command, "%*.*g", fPrec2, fPrec, val ) ; 
 	if( num_char < 0 ) { 
-		G4cerr << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
+	  if (G4VisManager::GetVerbosity() >= G4VisManager::errors)
+		G4cout << "ERROR G4FRSCENEHANDLER::SendStrInt(), 1\n" ;
 	}
 	SendStr( command );
Index: trunk/source/visualization/FukuiRenderer/include/G4FRofstream.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FRofstream.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FRofstream.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FRofstream.hh,v 1.9 2006/06/29 21:16:42 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 #include <fstream>
Index: trunk/source/visualization/FukuiRenderer/include/G4FukuiRenderer.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FukuiRenderer.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FukuiRenderer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FukuiRenderer.hh,v 1.8 2006/06/29 21:16:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererSceneHandler.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererSceneHandler.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererSceneHandler.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FukuiRendererSceneHandler.hh,v 1.17 2010/05/30 10:18:32 allison Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
Index: trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererViewer.hh
===================================================================
--- trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererViewer.hh	(revision 1346)
+++ trunk/source/visualization/FukuiRenderer/include/G4FukuiRendererViewer.hh	(revision 1347)
@@ -26,5 +26,5 @@
 //
 // $Id: G4FukuiRendererViewer.hh,v 1.8 2006/06/29 21:16:48 gunter Exp $
-// GEANT4 tag $Name: geant4-09-04-beta-01 $
+// GEANT4 tag $Name: geant4-09-04-ref-00 $
 //
 // 
